DCMTK - Bug #749

dsr2xml.xsd is a bit too restrictive on it's representation of VR=DS
2017-04-06 11:21 - J6rg Riesmeier

Status: Closed Start date: 2017-04-06
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Support Files Estimated time: 0:00 hour
Target version: 3.6.3

Module: dcmsr Compiler:

Operating System:

Description
The XML Schema "dsr2xml.xsd" relies on the use of xsd:decimal for defining the DICOM VR "Decimal String" (DS) which restricts:

The following values are invalid: 1 234.456 (spaces are forbidden),
1234.456E+2 (scientific notation—E+2—is forbidden), + 1234.456 (spaces
are forbidden), or +1,234.456 (delimiters between thousands are
forbidden).

However, DICOM allows for using the scientific notation, e.g. "6.1035156E-5".

Also see email from Mathieu Malaterre (received on: 2017-04-05).

History

#1 - 2017-04-13 16:03 - J6rg Riesmeier
- Status changed from New to Closed

- % Done changed from 0 to 100

Fixed with commit 8751816.
